ctobssim should be able to load observations from XML file
Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Currently it is only possible to pass an observation container which is set up or to build one by user parameters.

Passing an XML file as observation definition should also be possible.

History

#1 - 11/07/2014 04:52 PM - Mayer Michael

this may be solved by issue #1360

#2 - 11/07/2014 05:41 PM - Knödlseder Jürgen

I guess you're talking about the Python interface, right?

You can do that already now by specifying

sim = ctools.ctobssim(gammalib.GObservations("my_observations.xml"))

I guess (I did not try explicitly), but I agree that it would be a nice feature to write directly

sim = ctools.ctobssim("my_observations.xml")

Alternatively, we could add a parameter that allows specifying an XML file so that ctobssim could also be used from the command line to simulate

multiple observations at once (this is not possible now). Maybe we want to have both options.

In the long run I was planning to add a pointing simulation step before ctobsim (something like ctpntsim) that sets up a realistic pointing sequence,

taking into account realistic constraints due to site location, zenith angle of a source at a given epoch, etc. This tools would probably produce an XML

file that then needs to be fed to ctobssim.

#3 - 11/07/2014 05:50 PM - Mayer Michael

Actually, I was talking about the command line. If a user wants to simulate from a given XML file containing several observations, it would be easier to

query for such an observation definition file.
Having this additional option would also make the observation setup more homogenous throughout the ctools.

#4 - 11/07/2014 09:36 PM - Knödlseder Jürgen

Okay, then I propose to add a inobs parameter that should be queried, but that by default will be NONE.

#5 - 11/25/2014 01:20 PM - Mayer Michael

I guess this issue is solved if we take into account the changes from #1360

#6 - 02/06/2015 02:23 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

Done.
